/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.exampleexpend.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

import java.math.BigDecimal;

/**
 * 主要工料价格及消耗量指标Entity
 * @author ssrh
 * @version 2018-08-29
 */
public class ExampleExpend extends DataEntity<ExampleExpend> {
	
	private static final long serialVersionUID = 1L;
	private String exampleId;		// 概况id
	private String exampleindicesId;		// 项id
	private String indexId;		// 指标id
	private String unit;		// 单位
	private String digits;		// 位数
	private String name;		// 工料名称
	private String count;		// 数量
	private String price;		// 单价
	private String quota;		// 单位指标
	private BigDecimal counts;
	private BigDecimal avgs;
	private BigDecimal sums;
	private BigDecimal mins;
	private BigDecimal maxs;
	private String remarks;	// 备注

	@Override
	@ExcelField(title="备注", align=2, sort=6)
	public String getRemarks() {
		return remarks;
	}

	@Override
	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public ExampleExpend() {
		super();
	}

	public ExampleExpend(String id){
		super(id);
	}


	public String getExampleId() {
		return exampleId;
	}

	public void setExampleId(String exampleId) {
		this.exampleId = exampleId;
	}
	

	public String getExampleindicesId() {
		return exampleindicesId;
	}

	public void setExampleindicesId(String exampleindicesId) {
		this.exampleindicesId = exampleindicesId;
	}
	

	public String getIndexId() {
		return indexId;
	}

	public void setIndexId(String indexId) {
		this.indexId = indexId;
	}

	@ExcelField(title="单位", align=2, sort=2)
	public String getUnit() {
		return unit;
	}

	public void setUnit(String unit) {
		this.unit = unit;
	}
	

	public String getDigits() {
		return digits;
	}

	public void setDigits(String digits) {
		this.digits = digits;
	}
	
	@ExcelField(title="工料名称", align=2, sort=1)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="数量", align=2, sort=3)
	public String getCount() {
		return count;
	}

	public void setCount(String count) {
		this.count = count;
	}
	
	@ExcelField(title="单价", align=2, sort=4)
	public String getPrice() {
		return price;
	}

	public void setPrice(String price) {
		this.price = price;
	}
	
	@ExcelField(title="单位指标", align=2, sort=5)
	public String getQuota() {
		return quota;
	}

	public void setQuota(String quota) {
		this.quota = quota;
	}

	public BigDecimal getCounts() {
		return counts;
	}

	public void setCounts(BigDecimal counts) {
		this.counts = counts;
	}

	public BigDecimal getAvgs() {
		return avgs;
	}

	public void setAvgs(BigDecimal avgs) {
		this.avgs = avgs;
	}

	public BigDecimal getSums() {
		return sums;
	}

	public void setSums(BigDecimal sums) {
		this.sums = sums;
	}

	public BigDecimal getMins() {
		return mins;
	}

	public void setMins(BigDecimal mins) {
		this.mins = mins;
	}

	public BigDecimal getMaxs() {
		return maxs;
	}

	public void setMaxs(BigDecimal maxs) {
		this.maxs = maxs;
	}
}